Subject: Re: [PowerPC] [PASEMI] Issue with the identification of ATA drives after the of/irq updates 2024-05-29

From: Marc Zyngier <[email-masked]>
Date: Wed, 03 Jul 2024 07:40:04 +0100

On Wed, 03 Jul 2024 04:11:55 +0100,
Christian Zigotzky <[email-masked]> wrote:
> 
> Hello Marc,
> 
> On 02.07.24 21:49, Marc Zyngier wrote:
> > On 2024-07-02 18:55, Christian Zigotzky wrote:
> >> Hello Marc,
> >> 
> >> Thank you for your reply.
> >> 
> >> On 02.07.24 17:19, Marc Zyngier wrote:
> >>> Please provide the device tree for your platform. It isn't possible to
> >>> debug this without it, no matter how many pictures you provide. If it
> >>> doesn't exist in source form, you can dump it using:
> >>> 
> >>> # dtc -I dtb /sys/firmware/fdt
> >>> 
> >>> and posting the full output.
> >>> 
> >>> Additionally, a full dmesg of both working and non working boots would
> >>> be useful.
> >>> 
> >>> Thanks,
> >>> 
> >>>     M.
> >>> 
> >> The device tree of the Nemo board and further information:
> >> https://forum.hyperion-entertainment.com/viewtopic.php?p=54406#p54406
> > 
> > Please post these things on the list. I have no interest in
> > fishing things on a random forum, and this information is
> > useful for everyone.
> > 
> > Thanks,
> > 
> >          M.
> 
> Sorry, here you are:
> 
> Device tree of the Nemo board (Hardinfo):
> 
> -Device Tree-
> Summary
> Maps
> /
> /sdc@fc000000
> /sdc@fc000000/openpic@fc000000
> /sdc@fc000000/mdio@0

[...]

This isn't a DTS. This is a listing of all the nodes, not something I
can use to feed the kernel. I explained how to generate it.

> Download the compiled device tree for the Nemo board:
> http://www.xenosoft.de/fdt-nemo-board.zip

No, thank you.

	M.

-- 
Without deviation from the norm, progress is not possible.